aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorpsykose <alice@ayaya.dev>2022-07-03 10:21:39 +0000
committerpsykose <alice@ayaya.dev>2022-07-03 12:38:18 +0200
commit931262981ba13a13195dbf0e7b54ef7d942e4b0e (patch)
tree5ec34b6807549968f68233319ab57ddf02f09648
parent28d3390304acf3a73424c2d45177e5271bc00dee (diff)
downloadaports-931262981ba13a13195dbf0e7b54ef7d942e4b0e.tar.gz
aports-931262981ba13a13195dbf0e7b54ef7d942e4b0e.tar.bz2
aports-931262981ba13a13195dbf0e7b54ef7d942e4b0e.tar.xz
main/e2fsprogs: fix build on riscv64, modernise
-rw-r--r--main/e2fsprogs/APKBUILD32
1 files changed, 13 insertions, 19 deletions
diff --git a/main/e2fsprogs/APKBUILD b/main/e2fsprogs/APKBUILD
index 9af43b35f9..9cdce5119d 100644
--- a/main/e2fsprogs/APKBUILD
+++ b/main/e2fsprogs/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=e2fsprogs
pkgver=1.46.5
-pkgrel=1
+pkgrel=2
pkgdesc="Standard Ext2/3/4 filesystem utilities"
url="http://e2fsprogs.sourceforge.net/"
arch="all"
@@ -72,33 +72,27 @@ package() {
dev() {
default_dev
- mkdir -p "$subpkgdir"/usr/bin
- mkdir -p "$subpkgdir"/usr/share
- mv "$pkgdir"/usr/bin/compile_et "$pkgdir"/usr/bin/mk_cmds \
- "$subpkgdir"/usr/bin/
- mv "$pkgdir"/usr/share/et "$pkgdir"/usr/share/ss \
- "$subpkgdir"/usr/share
+
+ amove \
+ usr/bin/compile_et \
+ usr/bin/mk_cmds \
+ usr/share/et \
+ usr/share/ss
}
libcom_err() {
pkgdesc="Common error description library"
- mkdir -p "$subpkgdir"/lib
- mv "$pkgdir"/lib/libcom_err* "$subpkgdir"/lib/
+
+ amove lib/libcom_err*
}
extra() {
- depends="$pkgname"
+ depends="$pkgname=$pkgver-r$pkgrel"
pkgdesc="Ext2/3/4 filesystem extra utilities"
- mkdir -p "$subpkgdir"
- rmdir "$pkgdir"/lib
- mv "$pkgdir"/usr "$subpkgdir"/
-}
-static() {
- depends=""
- pkgdesc="$pkgdesc (static libraries)"
- mkdir -p "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/*.a "$subpkgdir"/usr/lib
+ mkdir -p "$subpkgdir"
+ amove usr
+ rmdir "$pkgdir"/lib || true
}
sha512sums="